#!BuildIgnore:          post-build-checks
#
# spec file for package nconf
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
%define         apxs2 /usr/sbin/apxs2-prefork
%define         apache2_sysconfdir %(%{apxs2} -q SYSCONFDIR)
%define         installdir /srv/www/nconf

Name:           nconf
Summary:        Enterprise Nagios configurator
Version:        1.2.6
Release:        6.1
Url:            http://nconf.sourceforge.net/
License:        GPL v2 or later
Group:          System/Monitoring
BuildRequires:  apache2-devel
%if 0%{?suse_version} > 1020
BuildRequires:  fdupes
%endif
# needed for the symlink (see install)
BuildRequires:  nagios
# config.orig is a simple pathname...
PreReq:         apache2 mysql
Requires:       perl >= 5.6
Requires:       nagios
Requires:       php-mysql
Requires:       perl-DBI
Requires:       perl-DBD-mysql
Requires:       nconf-layout >= %version
Source0:        %name-%version-0.tar.bz2
Source1:        %name-http.conf
Source4:        %name-rpmlintrc
Patch1:         nconf-1.2.5.0-deploy_local.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
NConf is a PHP based web-tool for configuring the Nagios monitoring software.
It differs from similar tools by offering enterprise-class features like host
templates, dependencies and to configure a large-scale, distributed Nagios
server topology.

Authors:
--------
    Sunrise Communications AG, Zurich, Switzerland 


%package layout-fresh
Summary:        Fresh layout for NCONF
Group:          System/Monitoring
Requires:       %name
Provides:       nconf-layout = %version-%release

%description layout-fresh
This package contains the 'fresh' layout for the Enterprise Nagios 
configurator.


Authors:
--------
    Sunrise Communications AG, Zurich, Switzerland 

%prep
%setup -q -n %name
%patch1 -p1

%build

%install
install -Dm640 %{SOURCE1} %buildroot/%apache2_sysconfdir/conf.d/nagios-nconf.conf
mkdir -p %buildroot/%_defaultdocdir/%name
mv CHANGELOG COPYRIGHT LICENSE README %buildroot/%_defaultdocdir/%name/
mkdir -p %buildroot/%installdir
cp -r * %buildroot/%installdir/
sed -i "s|/var/www/html/nconf/output/|%installdir/output/|;\
        s|/usr/local/nagios/etc/|/etc/nagios/|;" %buildroot/%installdir/ADD-ONS/deploy_local.sh
chmod 0755 %buildroot/%installdir/ADD-ONS/deploy_local.sh
pushd %buildroot/%installdir/bin/
ln -s /usr/sbin/nagios nagios
popd
mkdir -p %buildroot/var/lib/nagios/spool/checkresults
%if 0%{?suse_version} > 1020
%fdupes %buildroot
%endif

%post
# update?
# maybe we should patch UPDATE.php later to be executed here in 
# post section, but currently removing INSTALL on update should 
# be enough. People have to run UPDATE.php manually after update...
if [ ${1:-0} -gt 1 ]; then
	for file in INSTALL INSTALL.php ; do
		test -e %installdir/$file && rm -rf %installdir/$file
	done
fi

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc %_defaultdocdir/%name/
%config(noreplace) %apache2_sysconfdir/conf.d/nagios-nconf.conf
%dir %installdir
%installdir/*
%defattr(0770,nagios,nagcmd)
%dir /var/lib/nagios
%dir /var/lib/nagios/spool
%dir /var/lib/nagios/spool/checkresults
%defattr(-,wwwrun,root)
%installdir/config
%installdir/output
%installdir/static_cfg
%installdir/temp
%exclude %installdir/design_templates/nconf_fresh

%files layout-fresh
%defattr(-,root,root)
%installdir/design_templates/nconf_fresh

%changelog
* Sun Jan 10 2010 Carsten Schoene <cs@linux-administrator.com> - 1.2.6-1
- initial package
